package com.holmos.cache.config;


	/**
 * 
 * @author: 吴银龙(sunshine307087558@gmail.com)
 * @version: 2013-3-18 下午1:00:44 
 */

public class MemoryCacheConfigComponent extends CacheConfigComponent{
	
	/**缓存初始化大小,内存缓存元素的初始化的个数*/
	private long initCount = 10000;

	/**当缓存空间不够的时候进行扩容，扩容速度，表示一次增加 xx%,比如 0.75 则依次在初始化大小的基础上扩容75%*/
	private float dilatationSpeed = 0.75f;
	
	/**并行写缓存的最大线程数量*/
	private int complicateCount = 100;
	
	public long getInitCount() {
		return initCount;
	}

	public void setInitCount(long initCount) {
		this.initCount = initCount;
	}

	public float getDilatationSpeed() {
		return dilatationSpeed;
	}

	public void setDilatationSpeed(float dilatationSpeed) {
		this.dilatationSpeed = dilatationSpeed;
	}

	public int getComplicateCount() {
		return complicateCount;
	}

	public void setComplicateCount(int complicateCount) {
		this.complicateCount = complicateCount;
	}
}
