package com.holmos.cache.store.operation;

/**
 * 缓存的操作类型
 * 
 * @author sunshine307087558@gmail.com(吴银龙)
 * */
public enum CacheOperationType {
	
	/**写缓存操作*/
	PUT,
	
	/**缓存读操作*/
	GET,
	
	/**缓存元素替换操作*/
	REPLEACE,
	
	/**缓存元素删除操作*/
	REMOVE,
	
	/**批量写操作*/
	PUTALL,
	
	/**批量读操作*/
	GETALL,
	
	/**批量替换操作*/
	REPLEACEALL,
	
	/**批量删除操作*/
	REMOVEALL
}
